OpenTTD Source: SlSkipHandler Class Reference

OpenTTD Source 13.2.1

Private Member Functions
SlSkipHandler Class Reference

Handler that is assigned when there is a struct read in the savegame which is not known to the code. More...

Inheritance diagram for SlSkipHandler:

## Private Member Functions
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
virtual SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.

## Additional Inherited Members
Public Member Functions inherited from SaveLoadHandler
virtual void | FixPointers (void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Handler that is assigned when there is a struct read in the savegame which is not known to the code.

This means we are going to skip it.

Definition at line 1856 of file saveload.cpp.

## Member Function Documentation

## ◆ Load()

void SlSkipHandler::Load | ( | void * | object | ) | const
| inlineoverrideprivatevirtual

Load the object from disk.

Parameters

  object | The object to load.

Reimplemented from SaveLoadHandler.

Definition at line 1862 of file saveload.cpp.

References SlGetStructListLength().

Referenced by LoadCheck().

## ◆ LoadCheck()

void SlSkipHandler::LoadCheck | ( | void * | object | ) | const
| inlineoverrideprivatevirtual

Similar to load, but used only to validate savegames.

Parameters

  object | The object to load.

Reimplemented from SaveLoadHandler.

Definition at line 1870 of file saveload.cpp.

References Load().

## ◆ Save()

void SlSkipHandler::Save | ( | void * | object | ) | const
| inlineoverrideprivatevirtual

Save the object to disk.

Parameters

  object | The object to store.

Reimplemented from SaveLoadHandler.

Definition at line 1857 of file saveload.cpp.

The documentation for this class was generated from the following file:

- src/saveload/saveload.cpp